body.authentication-bg {background-color: #727477 !important;}
.btn-primary {background-color: #3e3e8a; border-color: #3e3e8a}
.btn-primary:hover {background-color: #6161a4; border-color: #6161a4}
.custom-control-input:checked~.custom-control-label::before {background-color: #3e3e8a; border-color: #3e3e8a}
.account-pages .bg-pattern {background-image: url(../images/bg-pattern-gray.png) !important; background-size: cover;}
body.login.authentication-bg-pattern {background-image: url(../images/background.jpg) !important;}

body.login::before {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	background: rgba(0,0,0,0.5);
	z-index: 0;
}
.irs--flat.irs-with-grid {
	width: 100%;
}
#reset {
	display: none;
}
.capitalize {
	text-transform: capitalize !important;
}
.apexcharts-pie-label {
	fill: #ffffff !important;
}
@import url(http://fonts.googleapis.com/css?family=Ubuntu+Mono:400,700);
.jvectormap-marker {
    cursor: pointer !important;
}
form.search {
	display: flex;
	justify-content: space-between;
	margin: 0;
	width: 100%;
}
.filter-group {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
}
.filter-group .input-group{
    flex-wrap: initial !important;
    align-items: flex-start !important;
}
.filters .filter-group label {
	width: 100%;
	padding-right: 10px;
}
.input-group-prepend {
	height: 100%;
}
#hovered-region,
#clicked-region {
    background: #01374d;
    border: 1px solid #e5eabd;
    color: #e4b045;
    display: inline-block;
    margin-right: 3px;
    padding: 4px 8px;
    text-align: center;
    width: 170px
}

#hovered-region span,
#clicked-region span {
    color: #e4e770;
    font-weight: bold
}

#brazil-map {
    margin: 10px auto;
    height: 687px;
    width: 780px
}
#preloader-caminhao {
	display: none;
}
#preloader-caminhao.loading {
	height: 100vh !important;
	width: 100vw !important;
	top: 0 !important;
	left: 0 !important;
	visibility: visible !important;
	background: white !important;
	opacity: 1 !important;
	position: fixed;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 100000 !important;
}
#preloader-caminhao .caminhao {
	z-index: 100;
  	width: 100px;
  	height: 100px;
	visibility: visible !important;
  	opacity: 1 !important;
  	background: url(../images/logot.png);
  	background-size: 100% auto;
  	background-position: center center;
  	background-repeat: no-repeat;
	z-index: 1000000 !important;
  	animation: rotation 2000ms infinite;
}
body.loading {
	height: 100vh !important;
	width: 100vw !important;
	overflow: hidden !important;
	visibility: visible !important;
  	opacity: 1 !important;
}
body.loading::before {
	content: '';
	height: 100vh !important;
	width: 100vw !important;
	top: 0 !important;
	left: 0 !important;
	visibility: visible !important;
	background: white !important;
	opacity: 1 !important;
	position: fixed;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 100000 !important;
}

body.loading::after {
	content: '';
	position: fixed;
	z-index: 100;
	left: 50%;
	top: 50%;
	margin-top: -100px;
	transform: translate(-50%, -50%);
  	width: 100px;
  	height: 100px;
	visibility: visible !important;
  	opacity: 1 !important;
  	background: url(../images/logot.png);
  	background-size: 100% auto;
  	background-position: center center;
  	background-repeat: no-repeat;
	z-index: 1000000 !important;
  	animation: rotation 2000ms infinite;
}
.tooltip .btn:hover .info{
  display: block !important;
}
.tooltip .info {
  display: none;
  width: 250px;
  line-height: 16px !important;
  padding: 10px 15px 20px;
  position: absolute;
  top: 48px;
  left: 0;
  z-index: 10000;
  background-color: black;
  color: white;
}
.tooltip .info::before {
  content: '';
  position: absolute;
  left: 20px;
  top: -7px;
   width: 0px;
   height: 0px;
   border-style: solid;
   border-width: 0 10px 10px 10px;
   border-color: transparent transparent #000000 transparent;
   transform: rotate(0deg);
}
@keyframes rotation {
  0% { transform: translate(-200%, 0)}
  100% { transform: translate(200%, 0)}
}
.btn-tooltip {
	cursor: pointer !important;
	position: relative !important;
}
.btn-tooltip:hover .info{
  display: block !important;
}
.btn-tooltip .info {
  display: none;
  width: 300px;
  line-height: 16px !important;
  padding: 10px 10px 10px;
  position: absolute;
  top: 43px;
  right: 0;
  z-index: 10000;
  background-color: black;
  color: white;
  text-align: right;
}
.btn-tooltip .info::before {
  content: '';
  position: absolute;
  right: 10px;
  top: -7px;
   width: 0px;
   height: 0px;
   border-style: solid;
   border-width: 0 10px 10px 10px;
   border-color: transparent transparent #000000 transparent;
   transform: rotate(0deg);
}
.custom-tooltip .info {
  top: 23px !important;
  left: 0 !important;
  text-align: left !important;
}
.custom-tooltip .info::before {
  content: '' !important;
  left: 10px !important;
  top: -7px !important;
}
.bootstrap-table .fixed-table-container .fixed-table-body {
	overflow-y: scroll !important;
}
.rate {
    float: left;
    height: 46px;
    padding: 0 10px;
}
.rate:not(:checked) > input {
    position:absolute;
    top:-9999px;
}
.rate:not(:checked) > label {
    float:right;
    width:1em;
    overflow:hidden;
    white-space:nowrap;
    cursor:pointer;
    font-size:30px;
    color:#ccc;
}
.rate:not(:checked) > label:before {
    content: '★ ';
}
.rate > input:checked ~ label {
    color: #ffc700;    
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
    color: #deb217;  
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
    color: #c59b08;
}
#form-avaliar-motorista .width-100 {
	width: 100%;
	float: left;
	clear: left;
	margin-bottom: 5px;
}
.star-rating {
    font-size: 15px;
    color:#ffc700;
}
.bg-lightgray {
	background: #D9D9D9 !important;
}
.icon-red {
	color: #ED3237 !important;
}